#当前服务的基本信息
microservice:
  ename: @artifactId@
  name: '@name@'
  version: @version@
  sentinel:
    url: @sentinel.url@
  gateway:
    url: @gateway.url@
server:
  port: 10220
#feign接口开启服务熔断降级处理
feign:
  sentinel:
    enabled: true
spring:
  application:
    name: @artifactId@
  cloud:
    nacos:
      discovery:
        ip: @service.server.url@
        server-addr: @nacos.url@
        namespace: @nacos.namespace@
      config:
        server-addr: @nacos.url@
        namespace: @nacos.namespace@
        file-extension: yaml
        shared-configs:
          - data-id: share-config.yaml
            refresh: true
          - data-Id: algorithm-config.yaml
            refresh: true
  main:
    allow-bean-definition-overriding: true
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 100MB


#项目日志的配置
logging:
  config: http://@nacos.url@/nacos/v1/cs/configs?tenant=@nacos.namespace@&group=DEFAULT_GROUP&dataId=logback.xml
  level:
    root: info

data:
  source:
    query: Influxdb
    insert: Relation
#mybatis配置信息
mybatis-plus:
  #别名扫描
  type-aliases-package: com.njcn.csdevice.pojo

mqtt:
  client-id: @artifactId@${random.value}